--- /dev/null	Sun Aug  5 23:41:09 2018
+++ new/usr/src/man/man3c/getpeername.3c	Sun Aug  5 23:41:09 2018
@@ -0,0 +1,86 @@
+.\"
+.\" The contents of this file are subject to the terms of the
+.\" Common Development and Distribution License (the "License").
+.\" You may not use this file except in compliance with the License.
+.\"
+.\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+.\" or http://www.opensolaris.org/os/licensing.
+.\" See the License for the specific language governing permissions
+.\" and limitations under the License.
+.\"
+.\" When distributing Covered Code, include this CDDL HEADER in each
+.\" file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+.\" If applicable, add the following below this CDDL HEADER, with the
+.\" fields enclosed by brackets "[]" replaced with your own identifying
+.\" information: Portions Copyright [yyyy] [name of copyright owner]
+.\"
+.\"
+.\" Copyright 1989 AT&T
+.\" Copyright (c) 1998, Sun Microsystems, Inc.  All Rights Reserved
+.\" Copyright 2018 Nexenta Systems, Inc.
+.\"
+.Dd August 2, 2018
+.Dt GETPEERNAME 3C
+.Os
+.Sh NAME
+.Nm getpeername
+.Nd get name of connected peer
+.Sh LIBRARY
+.Lb libc
+.Sh SYNOPSIS
+.In sys/types.h
+.In sys/socket.h
+.Ft int
+.Fo getpeername
+.Fa "int s"
+.Fa "struct sockaddr *restrict name"
+.Fa "socklen_t *namelen"
+.Fc
+.Sh DESCRIPTION
+.Fn getpeername
+returns the name of the peer connected to socket
+.Fa s .
+The
+.Vt int
+pointed to by the
+.Fa namelen
+parameter should be initialized to indicate the amount of space pointed to by
+.Fa name .
+On return it contains the actual size of the name returned (in bytes), prior to
+any truncation.
+The name is truncated if the buffer provided is too small.
+.Sh RETURN VALUES
+If successful,
+.Fn getpeername
+returns 0; otherwise it returns -1 and sets
+.Va errno
+to indicate the error.
+.Sh ERRORS
+The call succeeds unless:
+.Bl -tag -width Er
+.It Bq Er EBADF
+The argument
+.Fa s
+is not a valid descriptor.
+.It Bq Er ENOMEM
+There was insufficient user memory for the operation to complete.
+.It Bq Er ENOSR
+There were insufficient STREAMS resources available for the operation to
+complete.
+.It Bq Er ENOTCONN
+The socket is not connected.
+.It Bq Er ENOTSOCK
+The argument
+.Fa s
+is not a socket.
+.El
+.Sh MT-LEVEL
+.Sy Safe
+.Sh SEE ALSO
+.Xr accept 3C ,
+.Xr bind 3C ,
+.Xr getsockname 3C ,
+.Xr sockaddr 3C ,
+.Xr socket 3C ,
+.Xr socket.h 3HEAD ,
+.Xr attributes 5
